/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import java.util.List;
import java.awt.Canvas;
import javax.swing.JTabbedPane;

/**
 *
 * @author Emanuelle Passos
 */
public class FinancialExpensesFormPanel extends javax.swing.JPanel {

    /**
     * Creates new form FinancialFormPanel
     */
    public FinancialExpensesFormPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        tfInformationTecnology = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        tfFixedExpenses = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        tfHr = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        tfStorehouse = new javax.swing.JTextField();
        tfOthers = new javax.swing.JTextField();
        tfPeriod = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        tfTotal = new javax.swing.JTextField();
        bCancelFinancial = new javax.swing.JButton();
        bOkFinancial = new javax.swing.JButton();

        jLabel2.setText("Information Tecnology");

        jLabel3.setText("Fixed expenses");

        jLabel4.setText("Human Resources (HR)");

        jLabel5.setText("Others");

        jLabel6.setText("Storehouse");

        jLabel1.setText("Period");

        tfStorehouse.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfStorehouseActionPerformed(evt);
            }
        });

        jLabel7.setText("Total");

        bCancelFinancial.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/gtk-cancel.png"))); // NOI18N
        bCancelFinancial.setName("bCancel"); // NOI18N
        bCancelFinancial.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bCancelFinancialActionPerformed(evt);
            }
        });

        bOkFinancial.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/emblem-default.png"))); // NOI18N
        bOkFinancial.setName("bOk"); // NOI18N
        bOkFinancial.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bOkFinancialActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel4)
                            .addComponent(jLabel3)
                            .addComponent(jLabel6)
                            .addComponent(jLabel1)
                            .addComponent(jLabel7))
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 19, Short.MAX_VALUE)
                                .addComponent(tfPeriod, javax.swing.GroupLayout.PREFERRED_SIZE, 172, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel1Layout.createSequentialGroup()
                                .addGap(19, 19, 19)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(tfOthers, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(tfStorehouse, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(tfHr, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(tfFixedExpenses)
                                    .addComponent(tfTotal)))))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(tfInformationTecnology, javax.swing.GroupLayout.PREFERRED_SIZE, 172, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel5)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(bCancelFinancial, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(bOkFinancial, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(8, 8, 8)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(tfPeriod, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(23, 23, 23)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(tfInformationTecnology, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(tfFixedExpenses, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(tfHr, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(14, 14, 14)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel6)
                    .addComponent(tfStorehouse, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel5)
                    .addComponent(tfOthers, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(40, 40, 40)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(tfTotal, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel7))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 35, Short.MAX_VALUE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(bCancelFinancial)
                    .addComponent(bOkFinancial))
                .addContainerGap())
        );

        jTabbedPane1.addTab("Financial Expenses", jPanel1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 338, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void tfStorehouseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfStorehouseActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_tfStorehouseActionPerformed

    private void bCancelFinancialActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bCancelFinancialActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_bCancelFinancialActionPerformed

    private void bOkFinancialActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bOkFinancialActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_bOkFinancialActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton bCancelFinancial;
    private javax.swing.JButton bOkFinancial;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTextField tfFixedExpenses;
    private javax.swing.JTextField tfHr;
    private javax.swing.JTextField tfInformationTecnology;
    private javax.swing.JTextField tfOthers;
    private javax.swing.JTextField tfPeriod;
    private javax.swing.JTextField tfStorehouse;
    private javax.swing.JTextField tfTotal;
    // End of variables declaration//GEN-END:variables

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie bCancelFinancial*/
    public JButton getBCancelFinancial(){
        return this.bCancelFinancial;
    }//end method getBCancelFinancial

    /**SET Method Propertie bCancelFinancial*/
    public void setBCancelFinancial(JButton bCancelFinancial){
        this.bCancelFinancial = bCancelFinancial;
    }//end method setBCancelFinancial

    /**GET Method Propertie bOkFinancial*/
    public JButton getBOkFinancial(){
        return this.bOkFinancial;
    }//end method getBOkFinancial

    /**SET Method Propertie bOkFinancial*/
    public void setBOkFinancial(JButton bOkFinancial){
        this.bOkFinancial = bOkFinancial;
    }//end method setBOkFinancial

    /**GET Method Propertie jLabel1*/
    public JLabel getJLabel1(){
        return this.jLabel1;
    }//end method getJLabel1

    /**SET Method Propertie jLabel1*/
    public void setJLabel1(JLabel jLabel1){
        this.jLabel1 = jLabel1;
    }//end method setJLabel1

    /**GET Method Propertie jLabel2*/
    public JLabel getJLabel2(){
        return this.jLabel2;
    }//end method getJLabel2

    /**SET Method Propertie jLabel2*/
    public void setJLabel2(JLabel jLabel2){
        this.jLabel2 = jLabel2;
    }//end method setJLabel2

    /**GET Method Propertie jLabel3*/
    public JLabel getJLabel3(){
        return this.jLabel3;
    }//end method getJLabel3

    /**SET Method Propertie jLabel3*/
    public void setJLabel3(JLabel jLabel3){
        this.jLabel3 = jLabel3;
    }//end method setJLabel3

    /**GET Method Propertie jLabel4*/
    public JLabel getJLabel4(){
        return this.jLabel4;
    }//end method getJLabel4

    /**SET Method Propertie jLabel4*/
    public void setJLabel4(JLabel jLabel4){
        this.jLabel4 = jLabel4;
    }//end method setJLabel4

    /**GET Method Propertie jLabel5*/
    public JLabel getJLabel5(){
        return this.jLabel5;
    }//end method getJLabel5

    /**SET Method Propertie jLabel5*/
    public void setJLabel5(JLabel jLabel5){
        this.jLabel5 = jLabel5;
    }//end method setJLabel5

    /**GET Method Propertie jLabel6*/
    public JLabel getJLabel6(){
        return this.jLabel6;
    }//end method getJLabel6

    /**SET Method Propertie jLabel6*/
    public void setJLabel6(JLabel jLabel6){
        this.jLabel6 = jLabel6;
    }//end method setJLabel6

    /**GET Method Propertie jLabel7*/
    public JLabel getJLabel7(){
        return this.jLabel7;
    }//end method getJLabel7

    /**SET Method Propertie jLabel7*/
    public void setJLabel7(JLabel jLabel7){
        this.jLabel7 = jLabel7;
    }//end method setJLabel7

    /**GET Method Propertie jPanel1*/
    public JPanel getJPanel1(){
        return this.jPanel1;
    }//end method getJPanel1

    /**SET Method Propertie jPanel1*/
    public void setJPanel1(JPanel jPanel1){
        this.jPanel1 = jPanel1;
    }//end method setJPanel1

    /**GET Method Propertie jTabbedPane1*/
    public JTabbedPane getJTabbedPane1(){
        return this.jTabbedPane1;
    }//end method getJTabbedPane1

    /**SET Method Propertie jTabbedPane1*/
    public void setJTabbedPane1(JTabbedPane jTabbedPane1){
        this.jTabbedPane1 = jTabbedPane1;
    }//end method setJTabbedPane1

    /**GET Method Propertie tfFixedExpenses*/
    public JTextField getTfFixedExpenses(){
        return this.tfFixedExpenses;
    }//end method getTfFixedExpenses

    /**SET Method Propertie tfFixedExpenses*/
    public void setTfFixedExpenses(JTextField tfFixedExpenses){
        this.tfFixedExpenses = tfFixedExpenses;
    }//end method setTfFixedExpenses

    /**GET Method Propertie tfHr*/
    public JTextField getTfHr(){
        return this.tfHr;
    }//end method getTfHr

    /**SET Method Propertie tfHr*/
    public void setTfHr(JTextField tfHr){
        this.tfHr = tfHr;
    }//end method setTfHr

    /**GET Method Propertie tfInformationTecnology*/
    public JTextField getTfInformationTecnology(){
        return this.tfInformationTecnology;
    }//end method getTfInformationTecnology

    /**SET Method Propertie tfInformationTecnology*/
    public void setTfInformationTecnology(JTextField tfInformationTecnology){
        this.tfInformationTecnology = tfInformationTecnology;
    }//end method setTfInformationTecnology

    /**GET Method Propertie tfOthers*/
    public JTextField getTfOthers(){
        return this.tfOthers;
    }//end method getTfOthers

    /**SET Method Propertie tfOthers*/
    public void setTfOthers(JTextField tfOthers){
        this.tfOthers = tfOthers;
    }//end method setTfOthers

    /**GET Method Propertie tfPeriod*/
    public JTextField getTfPeriod(){
        return this.tfPeriod;
    }//end method getTfPeriod

    /**SET Method Propertie tfPeriod*/
    public void setTfPeriod(JTextField tfPeriod){
        this.tfPeriod = tfPeriod;
    }//end method setTfPeriod

    /**GET Method Propertie tfStorehouse*/
    public JTextField getTfStorehouse(){
        return this.tfStorehouse;
    }//end method getTfStorehouse

    /**SET Method Propertie tfStorehouse*/
    public void setTfStorehouse(JTextField tfStorehouse){
        this.tfStorehouse = tfStorehouse;
    }//end method setTfStorehouse

    /**GET Method Propertie tfTotal*/
    public JTextField getTfTotal(){
        return this.tfTotal;
    }//end method getTfTotal

    /**SET Method Propertie tfTotal*/
    public void setTfTotal(JTextField tfTotal){
        this.tfTotal = tfTotal;
    }//end method setTfTotal

    //End GetterSetterExtension Source Code
//!
}
